Next: M32C Options, Previous: IA-64 Options, Up: Submodel Options

#### 3.17.20 LM32 Options

These `-m` options are defined for the LatticeMico32 architecture:

`-mbarrel-shift-enabled`
  Enable barrel-shift instructions.
`-mdivide-enabled`
  Enable divide and modulus instructions.
`-mmultiply-enabled`
  Enable multiply instructions.
`-msign-extend-enabled`
  Enable sign extend instructions.
`-muser-enabled`
  Enable user-defined instructions.